package com.hz.pm.api.meta.service;

import com.hz.pm.api.meta.model.entity.MetaDictionary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.meta.model.dto.DictionaryDTO;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
public interface IMetaDictionaryService extends IService<MetaDictionary> {

    List<DictionaryDTO> queryAll();

    List<DictionaryDTO> queryByDictType(String dictType);
    List<DictionaryDTO> queryByDictTypes(Collection<String> dictTypes);


}
